<?php
include_once("module/company/includes/company_class.php");
$user=new user();
//============================================================
if(!empty($_POST['Submit']))
{	
	$re=$user->update_user();
	if($_SESSION["STATU"]<2)
		$admin->msg("main.php?action=msg&type=active");
	else
		$admin->msg("main.php?m=company&s=cominfo&type=1");
}

$companyType=explode('|',$config['companyType']);

if($config['identity'])
{
	$identity=explode('|',$config['identity']);
	$tpl->assign("identity",$identity);
}

if(!is_file($config['webroot']."/uploadfile/phpqrcode/".$buid.".jpg")) 
{	
	include "lib/phpqrcode/phpqrcode.php";
	$value=$config['weburl']."/shop.php?uid=".$buid;
	$errorCorrectionLevel = 'L';
	$matrixPointSize = 4;
	QRcode::png($value,$config['webroot']."/uploadfile/phpqrcode/".$buid.".jpg", $errorCorrectionLevel, $matrixPointSize);
}
$tpl->assign("companyType",$companyType);
$tpl->assign("de",$de=$user->get_user_detail($buid));
$tpl->assign("com_cat",$admin->getComCat());
$tpl->assign("prov",get_province($de['province']));
//==================================
$tpl->assign("country",country_list());
$tpl->assign("config",$config);
$tpl->assign("lang",$lang);
$output=tplfetch("admin_myshop.htm");
?>